#

API Docs for: 2.0.0
Show: Inherited Protected Private Deprecated

# RGBSplitFilter Class

Extends AbstractFilter
Defined in: `src/pixi/filters/RGBSplitFilter.js:5`
Module: PIXI

An RGB Split Filter.

## Constructor

### `RGBSplitFilter`

()

Defined in `src/pixi/filters/RGBSplitFilter.js:5`

- Index
- Methods
- Properties

## Item Index

### Methods

- syncUniforms

### Properties

- angle
- dirty
- fragmentSrc
- padding
- passes
- shaders
- uniforms

## Methods

### `syncUniforms`

()

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:60`

Syncs the uniforms between the class object and the shaders.

## Properties

### `angle`

Number

Defined in `src/pixi/filters/RGBSplitFilter.js:48`

The angle of the split.

### `dirty`

Boolean

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:31`

### `fragmentSrc`

Array private

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:50`

### `padding`

Number

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:37`

### `passes`

Array an array of filter objects private

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:15`

An array of passes - some filters contain a few steps this array simply stores the steps in a liniear fashion. For example the blur filter has two passes blurX and blurY.

### `shaders`

Array an array of shaders private

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:24`

### `uniforms`

Object private

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:43`